export type Config = {
  CURRENT_ENVIRONMENT: string;
  CONFLUENCE_SPACE_ID: string;
  CONFLUENCE_SPACE_KEY: string;
  CONFLUENCE_BASE_URL: string;
  CONFLUENCE_USERNAME: string;
  CONFLUENCE_TOKEN: string;
  CONFLUENCE_PARENT_PAGE_ID: string;
  SLACK_WEBHOOK_URL_PRODUCTION: string;
  SLACK_WEBHOOK_URL_SANDBOX: string;
  SLACK_DISABLED_IN_DEVELOPMENT: string;
};

// TODO: Am I using ! correctly to force a non-null value in TypeScript

export const CURRENT_ENVIRONMENT = process.env.CURRENT_ENVIRONMENT!;
export const CONFLUENCE_SPACE_ID = process.env.CONFLUENCE_SPACE_ID!;
export const CONFLUENCE_SPACE_KEY = process.env.CONFLUENCE_SPACE_KEY!;
export const CONFLUENCE_BASE_URL = process.env.CONFLUENCE_BASE_URL!;
export const CONFLUENCE_USERNAME = process.env.CONFLUENCE_USERNAME!;
export const CONFLUENCE_TOKEN = process.env.CONFLUENCE_TOKEN!;
export const CONFLUENCE_PARENT_PAGE_ID = process.env.CONFLUENCE_PARENT_PAGE_ID!;
export const SLACK_WEBHOOK_URL_PRODUCTION = process.env.SLACK_WEBHOOK_URL_PRODUCTION!;
export const SLACK_WEBHOOK_URL_SANDBOX = process.env.SLACK_WEBHOOK_URL_SANDBOX!;
export const SLACK_DISABLED_IN_DEVELOPMENT = process.env.SLACK_DISABLED_IN_DEVELOPMENT!;
